BUG TRACKER


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000013CLAMInfrastructure: Websitepublic2011-08-28 03:482011-08-29 19:24
Reporterdgarcia 
Assigned Todgarcia 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.5 (current development)Fixed in Version1.5 (current development) 
Summary0000013: Generate web from an skeleton
DescriptionOften, whenever we want to change something from the website we have to change every page. This makes the web quite hard to maintain and it gets old. We should use an skeleton and content files, just like wiko does in html input mode.

TagsNo tags attached.
Attached Files

- Relationships
child of 0000014resolveddgarcia Inconsistent navigation on the website 

-  Notes
(0000010)
dgarcia (administrator)
2011-08-28 03:55

It would be easy to do by using wiko. Several issues to solve:
- content/ directory with the html content should non browseable by apache
- planet templates should be also generated and wiko does not support that at the moment
(0000015)
svn (developer)
2011-08-29 16:17

Changeset clam_web [749] by dgarcia, 2011-08-29 16:17:47 -0700 (Mon, 29 Aug 2011)
 * WIP for bug 0000013: Static pages and template generated index ported to wiko
 * Missing: Planet (Requires extra styling), bugs, wiki
 * Requires minor changes in WiKo to be commited
A trunk/content/
A trunk/content/doc.html
A trunk/content/download-linux.html
A trunk/content/download-old.html
A trunk/content/download-osx.html
A trunk/content/download-source.html
A trunk/content/download-windows.html
A trunk/content/download.html
A trunk/content/index.html
A trunk/content/index.html.tmpl
A trunk/content/license.html
A trunk/content/links.html
A trunk/content/mailinglist.html
A trunk/content/planet.html.tmpl
U trunk/doc.html
U trunk/download-linux.html
U trunk/download-old.html
U trunk/download-osx.html
U trunk/download-source.html
U trunk/download-windows.html
U trunk/download.html
U trunk/index.html
U trunk/index.html.tmpl
U trunk/license.html
U trunk/links.html
U trunk/mailinglist.html
A trunk/skeleton.html
A trunk/wiko.config
(0000018)
dgarcia (administrator)
2011-08-29 19:24

Done with all static pages. Still not working with mantis and wiki but will be addressed when wiki integrates. which is bug 0000015

- Issue History
Date Modified Username Field Change
2011-08-28 03:48 dgarcia New Issue
2011-08-28 03:55 dgarcia Note Added: 0000010
2011-08-28 03:56 dgarcia Assigned To => dgarcia
2011-08-28 03:56 dgarcia Status new => confirmed
2011-08-29 08:50 dgarcia Relationship added child of 0000014
2011-08-29 09:17 dgarcia Target Version => 1.5 (current development)
2011-08-29 16:17 svn Checkin
2011-08-29 16:17 svn Note Added: 0000015
2011-08-29 19:24 dgarcia Note Added: 0000018
2011-08-29 19:24 dgarcia Status confirmed => resolved
2011-08-29 19:24 dgarcia Fixed in Version => 1.5 (current development)
2011-08-29 19:24 dgarcia Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker